Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Create workbook
        • Delete workbook
        • Delete workbooks
        • Get workbook
        • Get workbooks list
        • Get workbook list by ids
        • Move workbook
        • Move workbooks
        • Update workbook
        • Get workbook entries
        • Update workbook access bindings
        • List workbook access bindings
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • USAccessBindingDelta
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. Workbook
  4. Update workbook access bindings
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
    • USAccessBindingDelta
  • Responses
  • 200 OK
    • Body

Update workbook access bindings

Updates access bindings for the specified workbook.

RequestRequest

POST

https://api.datalens.tech/rpc/updateWorkbookAccessBindings

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "workbookId": "example",
  "deltas": [
    {
      "action": "ADD",
      "accessBinding": {
        "roleId": "example",
        "subject": {
          "id": "example",
          "type": "system"
        }
      }
    }
  ]
}

Name

Description

deltas

Type: USAccessBindingDelta[]

Access binding changes to apply.

Example
[
  {
    "action": "ADD",
    "accessBinding": {
      "roleId": "example",
      "subject": {
        "id": "example",
        "type": "system"
      }
    }
  }
]

workbookId

Type: string

ID of the workbook whose access bindings to update.

Example: example

USAccessBindingDeltaUSAccessBindingDelta

Name

Description

accessBinding

Type: object

roleId

Type: string

ID of the role assigned to the subject.

Example: example

subject

Type: object

id

Type: string

Unique identifier of the subject.

Example: example

type

Type: string

Type of the subject.

Enum: system, userAccount, federatedUser, serviceAccount, group, invitee

Subject to which the role is assigned.

Example
{
  "id": "example",
  "type": "system"
}

Access binding to add or remove.

Example
{
  "roleId": "example",
  "subject": {
    "id": "example",
    "type": "system"
  }
}

action

Type: string

Action to perform on the access binding.

Enum: ADD, REMOVE

Example
{
  "action": "ADD",
  "accessBinding": {
    "roleId": "example",
    "subject": {
      "id": "example",
      "type": "system"
    }
  }
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "metadata": {},
  "done": true
}

Name

Description

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Operation creation timestamp.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the user who created the operation.

Example: example

description

Type: string

Description of the operation.

Example: example

done

Type: boolean

Indicates if the operation has completed.

id

Type: string

Unique identifier of the operation.

Example: example

metadata

Type: object

Metadata associated with the operation.

Example
{}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Operation last modification timestamp.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

Was the article helpful?

Previous
Get workbook entries
Next
List workbook access bindings
© 2026 Direct Cursus Technology L.L.C.